| Flutter Impeller |

Public Attributes | List of all members
impeller::egl::ConfigDescriptor Struct Reference

`#include <config.h>`

## Public Attributes
API | api = API::kOpenGLES2
Samples | samples = Samples::kOne
ColorFormat | color_format = ColorFormat::kRGB565
StencilBits | stencil_bits = StencilBits::kZero
DepthBits | depth_bits = DepthBits::kZero
SurfaceType | surface_type = SurfaceType::kPBuffer

## Detailed Description

Definition at line 45 of file config.h.

## Member Data Documentation

## ◆ api

API impeller::egl::ConfigDescriptor::api = API::kOpenGLES2

Definition at line 46 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

## ◆ color_format

ColorFormat impeller::egl::ConfigDescriptor::color_format = ColorFormat::kRGB565

Definition at line 48 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

## ◆ depth_bits

DepthBits impeller::egl::ConfigDescriptor::depth_bits = DepthBits::kZero

Definition at line 50 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

## ◆ samples

Samples impeller::egl::ConfigDescriptor::samples = Samples::kOne

Definition at line 47 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

## ◆ stencil_bits

StencilBits impeller::egl::ConfigDescriptor::stencil_bits = StencilBits::kZero

Definition at line 49 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

## ◆ surface_type

SurfaceType impeller::egl::ConfigDescriptor::surface_type = SurfaceType::kPBuffer

Definition at line 51 of file config.h.

Referenced by impeller::egl::Display::ChooseConfig(), and impeller::glvk::Trampoline::Trampoline().

The documentation for this struct was generated from the following file:

- impeller/toolkit/egl/config.h